Summary: Gstreamer plugin for the FFmpeg codecs and formats
Name: gstreamer1.0-libav
Version: 1.2.2
Release: %mkrel 1
Source0: http://gstreamer.freedesktop.org/src/gst-libav/gst-libav-%{version}.tar.xz
# (cjw) remove a silly warning about system ffmpeg/libav and its 15s build delay
Patch0: gst-libav-1.0.3-sillywarning.patch
# patches 1-5 are fixed in upstream git trunk
#gw fix memory leak with totem https://bugzilla.gnome.org/show_bug.cgi?id=721077
Patch1: gst-libav-81cef109e20cbce285bacaf673597aef57fc30f3-fix-memory-leak.patch
# (cjw) fix crash in audio encoder
Patch7: gst-libav-f42ff3194110b8d2f16b234470e4cce1e4c13de7-fix-audio-encoding-crash.patch
Patch8: gst-libav-1.1.2-ffmpeg.patch
Patch9: gst-libav-1.1.90-AVCodecID.patch
License: GPLv2+
Group: Video/Utilities
URL: http://gstreamer.freedesktop.org
Provides: gstreamer1.0-ffmpeg = %{version}-%{release}
BuildRequires: pkgconfig(gstreamer-plugins-base-1.0) >= %{version}
BuildRequires: pkgconfig(gstreamer-1.0) >= %{version}
BuildRequires: pkgconfig(gstreamer-base-1.0) >= %{version}
BuildRequires: pkgconfig(gstreamer-check-1.0) >= %{version}
BuildRequires: pkgconfig(orc-0.4) >= 0.4.16
BuildRequires: libcheck-devel
Buildrequires: yasm
%ifnarch %arm %mips
BuildRequires: valgrind
%endif
BuildRequires: ffmpeg-devel
BuildRequires: gettext-devel

%description
Video codec plugin for GStreamer based on the FFmpeg libraries.

%prep
%setup -q -n gst-libav-%{version}
%patch0 -p1 -b .sillywarning
%patch1 -p1 -b .memleak
%patch7 -p1 -b .crash
%patch8 -p1 -b .ffmpeg
%patch9 -p1 -b .avcodecid

# get rid of the bundled libav
rm -rf gst-libs/ext/libav
# fool configure to see a bundled libav/ffmpeg
mkdir gst-libs/ext/libav
touch gst-libs/ext/libav/configure

%build
# (re)generate autofoo using our autotools
NOCONFIGURE=1 ./autogen.sh

%configure2_5x \
  --disable-static \
  --with-package-name='%{distribution} %{name} package' \
  --with-package-origin='http://www.mageia.org/' \
  --with-system-libav \
  --disable-fatal-warnings
%make

%install
%makeinstall_std

find %{buildroot} -name '*.la' -delete

%files
%doc README NEWS TODO ChangeLog AUTHORS
%{_libdir}/gstreamer-1.0/libgstlibav.so


%changelog
* Thu Jan 23 2014 gw666 <gw666> 1.2.2-1.mga4
+ Revision: 567580
- new version (bug #12142)
- add patch to fix a memory leak (b.g.o #721077)

* Sun Nov 03 2013 wally <wally> 1.2.0-3.mga4
+ Revision: 549275
- drop P10 and enable group-id support again as we have new enough gst

* Mon Oct 21 2013 umeabot <umeabot> 1.2.0-2.mga4
+ Revision: 540978
- Mageia 4 Mass Rebuild

* Thu Oct 10 2013 fwang <fwang> 1.2.0-1.mga4
+ Revision: 494686
- new version 1.2.0

* Sat Sep 21 2013 fwang <fwang> 1.1.90-1.mga4
+ Revision: 483026
- more codecid patch
- cleanup br
- new version 1.1.90
- new version 1.1.4

* Mon Aug 05 2013 wally <wally> 1.1.3-2.mga4
+ Revision: 463739
- revert upstream commit which adds group-id support as it needs newer gst than we have and causes plugin to not work (mga#10924)

* Thu Aug 01 2013 fwang <fwang> 1.1.3-1.mga4
+ Revision: 461947
- new version 1.1.3

* Thu Jul 11 2013 wally <wally> 1.1.2-1.mga4
+ Revision: 453094
- new version 1.1.2
- add patches P8 and P9 to fix build with new ffmpeg

* Tue Feb 26 2013 cjw <cjw> 1.1-0.f42ff3194110b8d2f16b234470e4cce1e4c13de7.1.mga3
+ Revision: 400427
- upstream git master/HEAD snapshot from 20130215 (fixes WMA decoding for applications using gstreamer 1.0, bug #8925)
- drop patches 1-5: fixed or merged upstream
- patch6: fix build with gstreamer 1.0.x
- patch7: fix crash in audio encoder
- libavscale is disabled upstream because it apparently doesn't work

* Sat Jan 12 2013 umeabot <umeabot> 1.0.5-2.mga3
+ Revision: 352754
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 fwang <fwang> 1.0.5-1.mga3
+ Revision: 343507
- new version 1.0.5

* Tue Jan 08 2013 fwang <fwang> 1.0.4-3.mga3
+ Revision: 341628
- rebuild for new ffmpeg

* Fri Jan 04 2013 cjw <cjw> 1.0.4-2.mga3
+ Revision: 338638
- patch6: fix build with automake 1.13 (from upstream git)

* Thu Dec 20 2012 cjw <cjw> 1.0.4-1.mga3
+ Revision: 333487
- 1.0.4
- patch4: separate patch to use avio for connecting libavformat muxers and demuxers to gstreamer
- patch5: add back palette support (from upstream git)

* Tue Dec 04 2012 cjw <cjw> 1.0.3-2.mga3
+ Revision: 326654
- build against system ffmpeg
- patch0: remove warning about system ffmpeg and 15s build delay
- patch1: fix build with ffmpeg 1.0

* Fri Nov 23 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 321208
- new version 1.0.3

* Thu Oct 25 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 309988
- new version 1.0.2

* Mon Oct 08 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 303339
- new version 1.0.0

* Mon Sep 24 2012 fwang <fwang> 1.0.0-1.mga3
+ Revision: 297089
- update br
- new version 1.0.0

* Tue Sep 18 2012 fwang <fwang> 0.11.99-1.mga3
+ Revision: 295772
- new version 0.11.99

* Mon Sep 17 2012 fwang <fwang> 0.11.94-1.mga3
+ Revision: 294773
- update file list
- new version 0.11.94

* Wed Sep 05 2012 fwang <fwang> 0.11.93-1.mga3
+ Revision: 288521
- update file list
- rename to libav
- rename package
- the code now is based on libav rather than ffmpeg
- update provides
- imported package gstreamer1.0-ffmpeg

